Plan to redirect inactive VisualEditor feedback pages for some wikis to mediawiki.org
Closed, ResolvedPublic8 Story Points

Description

Basic steps:

  • Wait until that page gets converted to Flow.
  • Wait until it's possible for mediawiki.feedback to post to Flow on a different wiki.
  • Wait until it's possible for VisualEditor's use of mediawiki.feedback to post a different wiki.
  • Message all affected wikis: sl, min, ru, fo, da, el, et, id, kk, mr, ms, no, ro, sco, sk, sq, tl, vi, ca, pt, pl, uk, zh.
  • Change the configurations for the local wikis.
  • Redirect all the pages.

Steps #4 and #5 are easily reversible, if any given small wiki wants to directly support their own page.
Step #3 needs consensus that feedback can be given in any language if one doesn't feel like using English and/or posting to Phabricator directly. Editors should be aware though that Google Translate does an awful job when it comes to technical language, and may want to find an intermediary instead to make sure their message is properly understood and triaged.

Once we centralize the feedback pages, we'll be watching how things go, and then re-evaluate the situation after a while.

Related Objects

Elitre created this task.Mar 13 2015, 7:26 PM
Elitre updated the task description. (Show Details)
Elitre raised the priority of this task from to Needs Triage.
Elitre added a project: Community-Liaisons.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2015, 7:26 PM
Whatamidoing-WMF set Security to None.
Elitre moved this task from Backlog to To-do on the Community-Liaisons board.Mar 16 2015, 4:13 PM
Elitre updated the task description. (Show Details)Mar 23 2015, 9:47 PM
Elitre updated the task description. (Show Details)May 7 2015, 1:06 PM
Elitre claimed this task.May 7 2015, 1:09 PM
Elitre removed a subscriber: Elitre.
Elitre triaged this task as Low priority.May 22 2015, 9:44 AM

@Quiddity, is step #2 now fixed?
Please remember "Hold VE/Feedback until we can review with the Communications & Editing team. and before converting give a 2-3 days warning to T98465 and T92661 so that CLs can prepare and send messaging beforehand."
(this means, at least after Wikimania).

Elitre renamed this task from Plan to redirect inactive VisualEditor feedback pages for small wikis to mediawiki.org to Plan to redirect inactive VisualEditor feedback pages for some wikis to mediawiki.org.Aug 26 2015, 4:59 PM
Elitre moved this task from To-do to In the works on the Community-Liaisons board.Sep 3 2015, 2:14 PM

Elitre added a blocking task: T100011: MediaWiki's feedback tool interface is confusing.

That's quite a lot of development effort with no clear owner. Can we justify it?

Elitre added a comment.Sep 7 2015, 3:57 PM

Elitre added a blocking task: T100011: MediaWiki's feedback tool interface is confusing.

That's quite a lot of development effort with no clear owner. Can we justify it?

I'm assuming you only mean, why I added it as a blocker?

Wait until it's possible for mediawiki.feedback to post to Flow.

Bots delivering news can now create topics in Flow. If I replace MediaWiki:Visualeditor-feedback-link locally to mw:VisualEditor/Feedback - topics will be normally created in the Flow?

I'm not sure if T111590 would play a role there.

Elitre added a blocking task: T100011: MediaWiki's feedback tool interface is confusing.

That's quite a lot of development effort with no clear owner. Can we justify it?

I'm assuming you only mean, why I added it as a blocker?

Yes.

Change 258199 had a related patch set uploaded (by Jforrester):
Let the feedback tool be configured for a remote wiki

https://gerrit.wikimedia.org/r/258199

Change 258206 had a related patch set uploaded (by Jforrester):
Centralise VisualEditor feedback pages except for de/en/es/frwiki

https://gerrit.wikimedia.org/r/258206

Do we have a list of the wikis we'd want to retain local feedback pages for?

Yes, it's at https://phabricator.wikimedia.org/T98465#1615686 .

As per the feedback tool interface instead, whenever I have to test something related, I keep making the "mistakes" reported in the related task.
It's not foolproof, and while I'm sure everyone else is smarter than me, it makes me sad that we are ready to make that tool available to even more people without at least fixing a few design things which didn't require an overhaul or anything (according to opinions in that task).

Change 258199 merged by jenkins-bot:
Let the feedback tool be configured for a remote wiki

https://gerrit.wikimedia.org/r/258199

OK, that's configured at https://gerrit.wikimedia.org/r/#/c/258206/ and ready to go on your orders.

As per the feedback tool interface instead, whenever I have to test something related, I keep making the "mistakes" reported in the related task.
It's not foolproof, and while I'm sure everyone else is smarter than me, it makes me sad that we are ready to make that tool available to even more people without at least fixing a few design things which didn't require an overhaul or anything (according to opinions in that task).

Yeah. :-(

Elitre added a comment.EditedDec 14 2015, 4:07 PM

@Jdforrester-WMF, isn't T90523 still a blocker though?
Also, please add bn.wp and hu.wp to the list of opted-out wikis, thanks.

Change 259041 had a related patch set uploaded (by Jforrester):
VisualEditor: Centralise feedback from test2wiki to MediaWiki.org

https://gerrit.wikimedia.org/r/259041

Change 259041 merged by jenkins-bot:
VisualEditor: Centralise feedback from test2wiki to MediaWiki.org

https://gerrit.wikimedia.org/r/259041

Elitre updated the task description. (Show Details)Dec 15 2015, 6:13 PM

I marked the messaging point as done. James, so far we've been talking about Wikipedias. Other projects don't have a feedback page AFAIK. Will the feedback tool point to mw.org for all of them?

Elitre moved this task from To-do to Jan '16 on the Community-Liaisons board.Dec 15 2015, 6:15 PM
Teles added a subscriber: Teles.Dec 16 2015, 12:48 AM
Elitre updated the task description. (Show Details)Dec 18 2015, 4:04 PM

James, so far we've been talking about Wikipedias. Other projects don't have a feedback page AFAIK.

That's correct.

Will the feedback tool point to mw.org for all of them?

Yes, unless a wiki might necessitate a local one at some point (when we can of course change things).

@Jdforrester-WMF, isn't T90523 still a blocker though?

I'm not sure it should be?

Also, please add bn.wp and hu.wp to the list of opted-out wikis, thanks.

Done. List is now: Arabic, Bengali, German, English, Spanish, Farsi, Finnish, French, Hindi, Hungarian, Italian, Japanese, Korean, Dutch, Swedish, Cantonese, and a few wikis where we can't because they're private or other technical issues.

Elitre updated the task description. (Show Details)Jan 18 2016, 11:11 AM

Hindi doesn't have a feedback page, though. (As in, it never really had one. Even the "default" one has basically been collecting dust since forever).

Change 258206 merged by jenkins-bot:
Centralise all VisualEditor feedback pages except for a few wikis

https://gerrit.wikimedia.org/r/258206

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptFeb 1 2016, 4:34 PM
Jdforrester-WMF edited a custom field.Feb 1 2016, 4:34 PM
Elitre added a comment.Feb 3 2016, 9:14 AM

I believe the description can only be updated after T125400 is fixed.

Elitre updated the task description. (Show Details)Feb 3 2016, 10:55 AM
Elitre updated the task description. (Show Details)Oct 6 2017, 9:28 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 6 2017, 9:28 AM
Elitre updated the task description. (Show Details)Oct 6 2017, 9:29 AM